curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/presentations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/presentations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/presentations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/presentations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/presentations")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/presentations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"presentations": [
{
"id": -548687,
"accessionNumber": "DFM-DIB-20261020-DECK",
"filingDate": "2026-10-20",
"filingType": "PRES",
"itemCodes": [],
"exhibitType": "PDF",
"title": "Q3 2026 Presentation",
"sourceTitle": "Q3 2026 Presentation",
"fiscalYear": 2026,
"fiscalQuarter": 3,
"pageCount": 34,
"totalBytes": 1816747,
"cik": "XDFM000004",
"format": "pdf",
"docRef": "DFM-DIB-20261020-DECK",
"alsoHeldAs": [],
"date": "2026-10-20",
"dateBasis": "filed"
},
{
"id": -291002,
"accessionNumber": "DFM-DIB-20260729-DECK",
"filingDate": "2026-07-29",
"filingType": "PRES",
"itemCodes": [],
"exhibitType": "PDF",
"title": "H1 2026 Presentation",
"sourceTitle": "H1 2026 Presentation",
"fiscalYear": 2026,
"fiscalQuarter": 2,
"pageCount": 34,
"totalBytes": 1831278,
"cik": "XDFM000004",
"format": "pdf",
"docRef": "DFM-DIB-20260729-DECK",
"alsoHeldAs": [],
"date": "2026-07-29",
"dateBasis": "filed"
}
],
"total": 52,
"offset": 0,
"nextOffset": 2,
"limit": 2,
"hasMore": true,
"duplicatesCollapsed": 0
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}IR presentations
Investor-presentation decks, newest first: 8-K exhibits stored as slide images (format slides) and exchange or IR-site results decks (format pdf, opened through the filings document route). Undated decks are placed on their fiscal period end; undated ones without a period come last.
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/presentations \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/presentations"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies/{id}/presentations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies/{id}/presentations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies/{id}/presentations")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies/{id}/presentations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"presentations": [
{
"id": -548687,
"accessionNumber": "DFM-DIB-20261020-DECK",
"filingDate": "2026-10-20",
"filingType": "PRES",
"itemCodes": [],
"exhibitType": "PDF",
"title": "Q3 2026 Presentation",
"sourceTitle": "Q3 2026 Presentation",
"fiscalYear": 2026,
"fiscalQuarter": 3,
"pageCount": 34,
"totalBytes": 1816747,
"cik": "XDFM000004",
"format": "pdf",
"docRef": "DFM-DIB-20261020-DECK",
"alsoHeldAs": [],
"date": "2026-10-20",
"dateBasis": "filed"
},
{
"id": -291002,
"accessionNumber": "DFM-DIB-20260729-DECK",
"filingDate": "2026-07-29",
"filingType": "PRES",
"itemCodes": [],
"exhibitType": "PDF",
"title": "H1 2026 Presentation",
"sourceTitle": "H1 2026 Presentation",
"fiscalYear": 2026,
"fiscalQuarter": 2,
"pageCount": 34,
"totalBytes": 1831278,
"cik": "XDFM000004",
"format": "pdf",
"docRef": "DFM-DIB-20260729-DECK",
"alsoHeldAs": [],
"date": "2026-07-29",
"dateBasis": "filed"
}
],
"total": 52,
"offset": 0,
"nextOffset": 2,
"limit": 2,
"hasMore": true,
"duplicatesCollapsed": 0
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA), numeric SEC CIK (zero-padding optional), or the platform key of a non-SEC issuer (e.g. XSAU000001 — the cik field of the company payload). A bare ticker always resolves to the SEC registrant.
Query Parameters
First filing date, YYYY-MM-DD.
Last filing date, YYYY-MM-DD.
Page size, 1–200.
1 <= x <= 200Rows to skip, default 0.
x >= 01 (the default) collapses the same deck published more than once (an 8-K exhibit and the IR-site copy) into one row and says how many were collapsed in duplicatesCollapsed; 0 lists every copy.
1, 0